%bcond_with bootstrap

Name:           maven-parent
Version:        41
Release:        %mkrel 2
Group:          Development/Java
Summary:        Apache Maven parent POM
License:        ASL 2.0
URL:            https://maven.apache.org
Source0:        https://repo1.maven.org/maven2/org/apache/maven/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
%endif

%description
Apache Maven parent POM file used by other Maven projects.

%prep
%setup -q
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :spotless-maven-plugin
%pom_remove_plugin -r :maven-scm-publish-plugin

%pom_xpath_remove "pom:execution[pom:id='generate-helpmojo']" maven-plugins

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 41-2.mga10
+ Revision: 2223164
- Mageia 10 Mass Rebuild

* Wed May 22 2024 ns80 <ns80> 41-1.mga10
+ Revision: 2066042
- new version 41 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 35-2.mga9
+ Revision: 1871067
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 35-1.mga9
+ Revision: 1870710
- New version 35
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 neoclust <neoclust> 34-1.mga8
+ Revision: 1615903
- New version 34

* Sat Feb 15 2020 umeabot <umeabot> 33-2.mga8
+ Revision: 1528625
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 33-1.mga8
+ Revision: 1431574
- Update to upstream version 33
- Obsolete maven-shared and maven-plugins-pom

* Wed Sep 19 2018 umeabot <umeabot> 27-5.mga7
+ Revision: 1264072
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 27-4.mga6
+ Revision: 1101426
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 27-2.mga6
+ Revision: 977339
- First rebuild of the java stack

* Sun Dec 20 2015 zezinho <zezinho> 27-1.mga6
+ Revision: 912526
- new version from fedora

* Fri Dec 19 2014 pterjan <pterjan> 24-2.mga5
+ Revision: 804135
- Clean rebuild
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 20-11.mga5
+ Revision: 745966
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20-9.mga4
+ Revision: 535769
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 20-8.mga4
+ Revision: 482541
- Rebuild against new javapackages
- Rebuild to regenerate Maven provides

* Tue Jul 30 2013 dmorgan <dmorgan> 20-6.mga4
+ Revision: 460704
- Rebuild against new maven

* Wed Jul 10 2013 dmorgan <dmorgan> 20-4.mga4
+ Revision: 452295
- Build with xmvn

* Fri Jul 05 2013 dmorgan <dmorgan> 20-3.mga4
+ Revision: 450362
- Add missing BR/R: apache-parent
- Update to current packaging guidelines

* Sat Jan 12 2013 umeabot <umeabot> 20-2.mga3
+ Revision: 359705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 dmorgan <dmorgan> 20-1.mga2
+ Revision: 126389
- imported package maven-parent


* Thu Jun 23 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 20-1
- Initial version of the package
